<template>
  <div class="modal">
    <div class="modal__wrapper">
      <div class="modal__content">
        <div class="modal__section">
          <span class="modal__title text-secondary">Name: </span>
          <span class="modal__text text-primary">{{ data.name }}</span>
        </div>

        <div class="modal__section">
          <span class="modal__title text-secondary">Autor Name: </span>
          <span class="modal__text text-primary">{{ data.authorName }}</span>
        </div>

        <div class="modal__section">
          <span class="modal__title text-secondary">Autor Email: </span>
          <span class="modal__text text-primary">{{ data.authorEmail }}</span>
        </div>

        <div class="modal__section">
          <span class="modal__title text-secondary">Date: </span>
          <span class="modal__text text-primary">{{ data.date }}</span>
        </div>

        <div class="modal__section">
          <span class="modal__title text-secondary">Version: </span>
          <span class="modal__text text-primary">{{ data.version }}</span>
        </div>

        <div class="modal__section">
          <span class="modal__title text-secondary">Link: </span>
          <span class="modal__text text-primary">{{ data.link }}</span>
        </div>
      </div>
    </div>

    <button class="modal__button" @click="closeModal"></button>
  </div>
</template>

<script>
export default {
  name: "PackagesModal",
  props: {
    data: {
      name: "",
      authorName: "",
      authorEmail: "",
      date: "",
      version: "",
      link: "",
    },
  },
  emits: ["close"],
  methods: {
    closeModal() {
      this.$emit("close");
    },
  },
};
</script>

<style scoped lang="scss">
.modal {
  height: 80vh;
  width: 80vw;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
  display: block;
  overflow: unset;

  &::before {
    content: "";
    position: absolute;
    top: -20vh;
    left: -20vw;
    right: -20vw;
    bottom: -20vh;
    background: #000;
    opacity: 0.5;
    z-index: 0;
  }

  &__wrapper {
    width: 100%;
    height: 100%;
    z-index: 1;
    position: relative;
    border-radius: 20px;
    border: 1px solid #2c3e50;
    box-sizing: border-box;
    background: url("https://www.toptal.com/designers/subtlepatterns/uploads/hip-square.png");
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &__content {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: center;
    max-width: 100%;
    padding: 0 15px;
    box-sizing: border-box;
  }

  &__button {
    width: 40px;
    height: 40px;
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
    border: 0;
    z-index: 1;
    background: transparent;
    transform: rotate(0deg);
    transition: transform 300ms ease-in;

    &:hover {
      transform: rotate(90deg);
      transition: transform 300ms ease-out;
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 17px;
      left: 0;
      width: 40px;
      height: 2px;
      border-radius: 5px;
      background: #2c3e50;
      transform: rotate(45deg);
    }

    &::after {
      transform: rotate(-45deg);
    }
  }

  &__section {
    &:not(:last-child) {
      margin-bottom: 20px;
    }

    @media only screen and (max-width: "1000px") {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;
    }
  }

  &__title {
    font-size: 30px;
    font-weight: 500;
    text-transform: uppercase;

    @media only screen and (max-width: "768px") {
      font-size: 25px;
    }
  }

  &__text {
    font-size: 30px;
    word-break: break-word;

    @media only screen and (max-width: "768px") {
      font-size: 20px;
    }
  }

  &__versions-block {
    display: inline-flex;
    flex-direction: column;
    align-items: baseline;
  }
}
</style>
